{
	alpha: {
		min_value: 0.1
		modifier: "<alt> <super> "
	}
	animate: {
		close_animation: fade
		duration: 200
		enabled_for: (type equals "toplevel" | (type equals "x-or" & focusable equals true))
		fade_duration: 200
		fade_enabled_for: type equals "overlay"
		fire_color: "#B22303FF"
		fire_duration: 250
		fire_enabled_for: none
		fire_particle_size: 16.0
		fire_particles: 2000
		open_animation: zoom
		random_fire_color: false
		startup_duration: 500
		zoom_duration: 200
		zoom_enabled_for: none
	}
	annotate: {
		clear_workspace: <alt> <super> KEY_C
		draw: <alt> <super> BTN_LEFT
		from_center: true
		line_width: 3.0
		method: draw
		stroke_color: "#FF0000FF"
	}
	autorotate-iio: {
		lock_rotation: false
		rotate_down: <ctrl> <super> KEY_DOWN
		rotate_left: <ctrl> <super> KEY_LEFT
		rotate_right: <ctrl> <super> KEY_RIGHT
		rotate_up: <ctrl> <super> KEY_UP
	}
	autostart: {
		autostart: [
			systemctl --user import-environment && dbus-update-activation-environment --systemd --all
			XDG_CURRENT_DESKTOP=sway /usr/libexec/xdg-desktop-portal -r
			XDG_CURRENT_DESKTOP=sway /usr/libexec/xdg-desktop-portal-wlr -r
			desq-shell
			kwalletd6
			exec --no-startup-id /usr/lib/pam_kwallet_init
		]
		autostart_wf_shell: false
	}
	background-view: {
		app-id: mpv
		command: mpv --loop=inf
		file: ""
	}
	bench: {
		average_frames: 1
		frames_per_update: 3
		position: top_center
	}
	blur: {
		blur_by_default: all
		bokeh_degrade: 1
		bokeh_iterations: 15
		bokeh_offset: 5.0
		box_degrade: 1
		box_iterations: 2
		box_offset: 1.0
		gaussian_degrade: 1
		gaussian_iterations: 2
		gaussian_offset: 1.0
		kawase_degrade: 1
		kawase_iterations: 2
		kawase_offset: 0.5
		method: kawase
		saturation: 1.0
		toggle: <super> BTN_LEFT
	}
	command: {
		always_bindings: {
			mute: {
				command: wpctl set-mute \@DEFAULT_SINK\@ toggle
				binding: KEY_MUTE
			}
		}
		bindings: {
			dropdown: {
				command: desq-dd
				binding: KEY_F12
			}
			launcher: {
				command: @INSTALL_PREFIX@/@LIBDIR@/@LIBEXECDIR@/desq/desq-runner
				binding: <alt> KEY_F2 | <super> KEY_R
			}
			lock: {
				command: @INSTALL_PREFIX@/@LIBDIR@/@LIBEXECDIR@/desq/desq-lock
				binding: <ctrl> <alt> KEY_L
			}
			logout: {
				command: pkill wayfire
				binding: <ctrl> <alt> KEY_BACKSPACE
			}
			menu: {
				command: @INSTALL_PREFIX@/@LIBDIR@/@LIBEXECDIR@/desq/desq-menu
				binding: <super>
			}
			screenshot: {
				command: grim $(date '+%F_%T').png
				binding: KEY_PRINT | KEY_SYSRQ
			}
			screenshot_interactive: {
				command: slurp | grim -g - $(date '+%F_%T').png
				binding: <shift> KEY_PRINT | <shift> KEY_SYSRQ
			}
			terminal: {
				command: desq-term
				binding: <super> KEY_T
			}
		}
		repeatable_bindings: {
			light_down: {
				command: pkexec @INSTALL_PREFIX@/@LIBDIR@/@LIBEXECDIR@/desq/desq-pkit --brightness -10%
				binding: KEY_BRIGHTNESSDOWN
			}
			light_up: {
				command: pkexec @INSTALL_PREFIX@/@LIBDIR@/@LIBEXECDIR@/desq/desq-pkit --brightness +10%
				binding: KEY_BRIGHTNESSUP
			}
			volume_down: {
				command: wpctl set-volume \@DEFAULT_SINK\@ 5%-
				binding: KEY_VOLUMEDOWN
			}
			volume_up: {
				command: wpctl set-volume \@DEFAULT_SINK\@ 5%+
				binding: KEY_VOLUMEUP
			}
		}
	}
	core: {
		background_color: "#1A1A1AFF"
		close_top_view: <alt> KEY_F4
		focus_button_with_modifiers: false
		focus_buttons: BTN_LEFT | BTN_MIDDLE | BTN_RIGHT
		focus_buttons_passthrough: true
		max_render_time: -1
		plugins: alpha animate autostart blur command cube dbusqt desq-shell expo focus-request foreign-toplevel grid gtk-shell idle invert move place resize scale switcher toplevel-manager view-shot vswipe vswitch windecor wm-actions workspace-names
		preferred_decoration_mode: server
		transaction_timeout: 100
		vheight: 1
		vwidth: 4
		xwayland: true
	}
	crosshair: {
		line_color: "#FF0000FF"
		line_width: 2
	}
	cube: {
		activate: none
		background: "#1A1A1AFF"
		background_mode: simple
		cubemap_image: ""
		deform: 0
		initial_animation: 350
		light: true
		rotate_left: <alt> <ctrl> KEY_LEFT
		rotate_right: <alt> <ctrl> KEY_RIGHT
		skydome_mirror: true
		skydome_texture: ""
		speed_spin_horiz: 0.02
		speed_spin_vert: 0.02
		speed_zoom: 0.07
		zoom: 0.1
	}
	dbusqt: {
		object: /org/DesQ/Wayfire
		service: org.DesQ.Wayfire
	}
	decoration: {
		active_color: "#222222AA"
		border_size: 0
		button_order: minimize maximize close
		font: sans-serif
		ignore_views: none
		inactive_color: "#333333DD"
		title_height: 24
	}
	expo: {
		background: "#1A1A1AFF"
		duration: 300
		inactive_brightness: 0.7
		keyboard_interaction: true
		offset: 10
		toggle: <super> KEY_F10
i		transition_length: 200
		workspace_bindings: {
			1: KEY_1
			2: KEY_2
			3: KEY_3
			4: KEY_4
			5: KEY_5
			6: KEY_6
			7: KEY_7
			8: KEY_8
			9: KEY_9
		}
	}
	extra-gestures: {
		close_fingers: 5
		move_delay: 500
		move_fingers: 3
	}
	fast-switcher: {
		activate: <alt> KEY_ESC
		activate_backward: <alt> <shift> KEY_ESC
		inactive_alpha: 0.7
	}
	firedecor: {
		active_accent: "#F5F5F5FF"
		active_border: "#1D1F21E6"
		active_outline: "#000000FF"
		active_title: "#1D1F21FF"
		border_size: 35 10
		button_size: 18
		button_style: simple
		corner_radius: 15
		debug_mode: false
		extra_themes: ""
		font: sans-serif
		font_size: 21
		hovered_close: "#FF6572FF"
		hovered_max: "#60FC79FF"
		hovered_min: "#FFE450FF"
		icon_size: 20
		icon_theme: hicolor
		ignore_views: none
		inactive_accent: "#E1DFFEFF"
		inactive_border: "#1D1F21E6"
		inactive_buttons: false
		inactive_outline: "#000000FF"
		inactive_title: "#1D1F21FF"
		layout: a | icon P4 title | minimize p maximize p close p | Atrtl -
		max_title_size: 750
		normal_close: "#C24045FF"
		normal_max: "#2EBB3AFF"
		normal_min: "#C89E2BFF"
		outline_size: 0
		padding_size: 8
		round_on: all
	}
	fisheye: {
		radius: 450.0
		toggle: <ctrl> <super> KEY_F
		zoom: 7.0
	}
	follow-focus: {
		change_output: true
		change_view: true
		focus_delay: 50
		raise_on_top: true
		threshold: 10
	}
	force-fullscreen: {
		constrain_pointer: false
		constraint_area: view
		key_toggle_fullscreen: <alt> <super> KEY_F
		preserve_aspect: true
		transparent_behind_views: true
		x_skew: 0.0
		y_skew: 0.0
	}
	grid: {
		duration: 300
		restore: <super> KEY_KP0
		slot_b: <super> KEY_KP2
		slot_bl: <super> KEY_KP1
		slot_br: <super> KEY_KP3
		slot_c: <super> KEY_KP5
		slot_l: <super> KEY_LEFT | <super> KEY_KP4
		slot_r: <super> KEY_RIGHT | <super> KEY_KP6
		slot_t: <super> KEY_KP8
		slot_tl: <super> KEY_KP7
		slot_tr: <super> KEY_KP9
		type: simple
	}
	hide-cursor: {
		hide_delay: 2000
		toggle: <ctrl> <super> KEY_H
	}
	hinge: {
		filename: /sys/bus/iio/devices/iio:device1/in_angl0_raw
		flip_degree: 180
		poll_freq: 200
	}
	idle: {
		cube_max_zoom: 1.5
		cube_rotate_speed: 1.0
		cube_zoom_speed: 1000
		disable_on_fullscreen: true
		dpms_timeout: -1
		screensaver_timeout: 3600
		toggle: none
	}
	input: {
		click_method: default
		cursor_size: 24
		cursor_theme: breeze
		disable_touchpad_while_mouse: false
		disable_touchpad_while_typing: true
		gesture_sensitivity: 1.0
		kb_capslock_default_state: false
		kb_numlock_default_state: true
		kb_repeat_delay: 400
		kb_repeat_rate: 40
		left_handed_mode: false
		middle_emulation: false
		modifier_binding_timeout: 400
		mouse_accel_profile: default
		mouse_cursor_speed: 0.0
		mouse_scroll_speed: 1.0
		natural_scroll: false
		scroll_method: default
		tablet_motion_mode: default
		tap_to_click: true
		touchpad_accel_profile: default
		touchpad_cursor_speed: 0.0
		touchpad_scroll_speed: 1.0
		xkb_layout: us
		xkb_model: ""
		xkb_options: ""
		xkb_rules: evdev
		xkb_variant: ""
	}
	input-device: {
		output: ""
	}
	invert: {
		preserve_hue: false
		toggle: <super> KEY_I
	}
	keycolor: {
		color: "#A40000FF"
		opacity: 0.25
		threshold: 0.5
	}
	mag: {
		default_height: 500
		toggle: <alt> <super> KEY_M
		zoom_level: 75
	}
	move: {
		activate: <alt> BTN_LEFT
		enable_snap: true
		enable_snap_off: true
		join_views: false
		quarter_snap_threshold: 50
		snap_off_threshold: 10
		snap_threshold: 10
		workspace_switch_after: -1
	}
	oswitch: {
		next_output: none
		next_output_with_win: none
	}
	output: {
		mode: auto
		position: auto
		scale: 1.0
		transform: normal
	}
	place: {
		mode: center
	}
	preserve-output: {
		last_output_focus_timeout: 10000
	}
	resize: {
		activate: <alt> BTN_RIGHT
	}
	scale: {
		allow_zoom: false
		bg_color: "#1A1A1AE6"
		duration: 500
		inactive_alpha: 0.5
		interact: false
		middle_click_close: true
		spacing: 50
		text_color: "#CCCCCCFF"
		title_font_size: 16
		title_overlay: all
		title_position: center
		toggle: <super> KEY_F9 | hotspot right-top 1x1 400
		toggle_all: <shift> <super> KEY_F9
	}
	scale-title-filter: {
		bg_color: "#00000080"
		case_sensitive: false
		font_size: 30
		overlay: true
		share_filter: false
		text_color: "#CCCCCCCC"
	}
	showrepaint: {
		reduce_flicker: false
		toggle: <alt> <super> KEY_S
	}
	simple-tile: {
		animation_duration: 0
		button_move: <super> BTN_LEFT
		button_resize: <super> BTN_RIGHT
		inner_gap_size: 5
		keep_fullscreen_on_adjacent: true
		key_focus_above: none
		key_focus_below: none
		key_focus_left: none
		key_focus_right: none
		key_toggle: none
		outer_horiz_gap_size: 0
		outer_vert_gap_size: 0
		tile_by_default: all
	}
	switcher: {
		next_view: <alt> KEY_TAB
		prev_view: <alt> <shift> KEY_TAB
		speed: 200
		view_thumbnail_scale: 1.0
	}
	view-shot: {
		capture: <super> BTN_MIDDLE
		command: notify-send "The view under cursor was captured to %f"
		filename: /tmp/snapshot.png
	}
	vswipe: {
		background: "#1A1A1AFF"
		delta_threshold: 24.0
		duration: 180
		enable_free_movement: false
		enable_horizontal: true
		enable_smooth_transition: true
		enable_vertical: true
		fingers: 4
		gap: 32.0
		speed_cap: 0.05
		speed_factor: 256.0
		threshold: 0.35
	}
	vswitch: {
		background: "#1A1A1AFF"
		bindings_win: {}
		duration: 300
		gap: 20
		workspace_bindings: {
			1: <super> KEY_F1
			2: <super> KEY_F2
			3: <super> KEY_F3
			4: <super> KEY_F4
		}
		workspace_bindings_win: {}
		wraparound: true
	}
	water: {
		activate: <ctrl> <super> BTN_LEFT
	}
	windecor: {
		active_color: "#000000E6"
		attn_color: "#3CB371AA"
		border_size: 1
		button_order: sticky minimize maximize close
		close_color: "#FF605C77"
		font: Quicksand
		font_color: "#FFFFFFFF"
		font_size: 12
		icon_theme: breeze
		ignore_views: ""
		inactive_color: "#3030307E"
		maximize_color: "#00CA4E77"
		minimize_color: "#FFBD4477"
		sticky_color: "#1C71D877"
		title_align: 0
		title_height: 24
		title_position: 1
		work_hard: false
	}
	window-rules: {
		rules: []
	}
	winzoom: {
		dec_x_binding: <ctrl> <super> KEY_LEFT
		dec_y_binding: <ctrl> <super> KEY_UP
		inc_x_binding: <ctrl> <super> KEY_RIGHT
		inc_y_binding: <ctrl> <super> KEY_DOWN
		modifier: "<ctrl> <super> "
		nearest_filtering: false
		preserve_aspect: true
		zoom_step: 0.1
	}
	wm-actions: {
		minimize: <alt> KEY_F9
		send_to_back: none
		toggle_always_on_top: <shift> <super> KEY_T
		toggle_fullscreen: none
		toggle_maximize: <alt> KEY_F10
		toggle_showdesktop: <super> KEY_D
		toggle_sticky: <shift> <super> KEY_S
	}
	wobbly: {
		friction: 3.0
		grid_resolution: 6
		spring_k: 8.0
	}
	workarounds: {
		all_dialogs_modal: true
		app_id_mode: stock
		dynamic_repaint_delay: false
		remove_output_limits: false
		use_external_output_configuration: false
	}
	workspace-names: {
		background_color: "#333333B3"
		background_radius: 30.0
		display_duration: 250
		font: sans-serif
		margin: 0
		position: top_right
		show_option_names: false
		text_color: "#FFFFFFFF"
	}
	wrot: {
		activate: none
		activate-3d: <shift> <super> BTN_RIGHT
		invert: false
		reset: <ctrl> <super> KEY_R
		reset-one: <alt> <super> KEY_R
		reset_radius: 25.0
		sensitivity: 24
	}
	zoom: {
		interpolation_method: 0
		modifier: <super> KEY_F8
		smoothing_duration: 300
		speed: 0.01
	}
}
